Skip to main content
GET
Scroll Files with Groups

Authorizations

Authorization
string
header
required

Headers

TR-Dataset
string<uuid>
required

The dataset id or tracking_id to use for the request. We assume you intend to use an id if the value is a valid uuid.

Query Parameters

cursor
string<uuid> | null

The cursor to fetch files from. If not specified, will fetch from the beginning. File ids are compared to the cursor using a greater than or equal to.

page_size
integer<int64> | null

The page size of files you wish to fetch. Defaults to 10.

Required range: x >= 0

Response

JSON body representing the files along with their associated groups in the current dataset

file_with_chunk_groups
object[]
required

This is a paginated list of files and their associated groups. The page size is specified in the request. The cursor is used to fetch the next page of files.

next_cursor
string<uuid> | null

Parameter for the next cursor offset. This is used to fetch the next page of files. If there are no more files, this will be None.